Commits

Tuk Bredsdorff committed 341448f

Switched to double quotes.

  • Participants
  • Parent commits 7402a46

Comments (0)

Files changed (1)

File geodome_frame.rb

 # Tuk Bredsdorff, 2012.
 # Script to add a timber frame to a geodome model.
 
-require 'sketchup.rb'
+require "sketchup.rb"
 
 # Default width, depth
 STRUT_SIZE = [5.cm, 10.cm]
 		all_struts << strut
 	}
 	frame_group = Sketchup.active_model.active_entities.add_group all_struts
-	frame_group.name = 'Geodome frame'
+	frame_group.name = "Geodome frame"
 end
 
 # Print all entities.
 end
 
 def main
-	Sketchup.active_model.start_operation 'Geodome frame', true
+	Sketchup.active_model.start_operation "Geodome frame", true
 		selection = Sketchup.active_model.selection
 		
 		# For now we assume the geodesic dome
 					print_strut_lengths
 				end
 			else
-				UI.messagebox 'No edges in selection to build from.'
+				UI.messagebox "No edges in selection to build from."
 			end
 		else
-			UI.messagebox 'Please select geodome geometry for construction.'
+			UI.messagebox "Please select geodome geometry for construction."
 		end
 	Sketchup.active_model.commit_operation
 end
 
 unless file_loaded? __FILE__
-	UI.menu('Plugins').add_item('Create geodome frame') { main }
+	UI.menu("Plugins").add_item("Create geodome frame") { main }
 end
 
 file_loaded __FILE__